package com.gingersoft.gsa.cloud.pay.pos;

/**
 * @作者: bin
 * @創建時間: 2020-12-26 11:24
 * @更新時間: 2020-12-26 11:24
 * @描述:
 */
public enum PosAction {
    /**
     * 支付、退款、取消、補小費、清機、打印
     */
    SALE("支付"), REFUND("退款"), VOID("取消"),
    TIP("補小費"), SETTLEMENT("清機"), PRINT("打印"), RETRIEVAL("查詢");

    private String actionName;

    PosAction(String actionName) {
        this.actionName = actionName;
    }

    public String getActionName() {
        return actionName;
    }

    public String getCallbackExceptionText() {
        return actionName + "回調異常";
    }


}
